Package ru.bitel.oss.systems.order.product.common.event

# Class ProductOfferingListEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.oss.systems.order.product.common.event.ProductOfferingListEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class ProductOfferingListEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProductOfferingListEvent(int moduleId, int contractId, int accountId, int userId, Date dateTime, Contract contract, Set<Integer> tariffIds, List<Product> currentContractOptionList, boolean onlyAvailable, List<ProductOffering> productOfferingList)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAccountId()`
  `List<Product>`
  `getActiveProductList()`
  `Contract`
  `getContract()`
  `Date`
  `getDateTime()`
  `List<ProductOffering>`
  `getProductOfferingList()`
  `int`
  `getSubjectModuleId()`
  `Set<Integer>`
  `getTariffIds()`
  `boolean`
  `isAvailableOnly()`
  `void`
  `setProductOfferingList(List<ProductOffering> productOfferingList)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProductOfferingListEvent

    public ProductOfferingListEvent(int moduleId, int contractId, int accountId, int userId, Date dateTime, Contract contract, Set<Integer> tariffIds, List<Product> currentContractOptionList, boolean onlyAvailable, List<ProductOffering> productOfferingList)

- ## Method Details

  - ### getSubjectModuleId

    public int getSubjectModuleId()

  - ### getDateTime

    public Date getDateTime()

  - ### getContract

    public Contract getContract()

  - ### getAccountId

    public int getAccountId()

  - ### getTariffIds

    public Set<Integer> getTariffIds()

  - ### getActiveProductList

    public List<Product> getActiveProductList()

  - ### isAvailableOnly

    public boolean isAvailableOnly()

  - ### getProductOfferingList

    public List<ProductOffering> getProductOfferingList()

  - ### setProductOfferingList

    public void setProductOfferingList(List<ProductOffering> productOfferingList)